//
//  GeometryCalculator.swift
//  Assertions
//
//  Created by Holger Hinzberg on 29.10.15.
//  Copyright © 2015 Holger Hinzberg. All rights reserved.
//

import Foundation

class GeometryCalculator
{
    func calculateRectangleArea(length length:Double,
        width:Double) ->Double
    {
        guard length > 0 && width > 0 else
        {
            return 0
        }
        
        assert(length > 0, "Die Länge ist nicht größer als 0")
        assert(width > 0, "Die Breite ist nicht größer als 0")
        return length * width
    }
    
    func calculateQubicVolume(length length:Double,
        width:Double, height:Double) ->Double
        
    {
        guard height > 0 else
        {
            return 0
        }
        
        assert(height > 0, "Die Höhe ist nicht größer als 0")
        return self.calculateRectangleArea(length: length,
            width: width) * height
    }
}